Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetVector

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetVector

Direct Known Subclasses:
  JetColumnVector

    public class JetVector

extends JetProperty

String vector property, for saving/retriving a group of String.

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Constructor Summary
`JetVector()`
`JetVector(JetObject parent, java.lang.String name)` Constructor.

Method Summary
`void` | `add(java.lang.String s)` Add a string to the property.
`void` | `clear()` Clear the property.
`boolean` | `equal(JetProperty str)`
`java.util.Vector` | `get()` Get the strings.
`void` | `remove(java.lang.String s)` Remove a string from the property.
`void` | `set(java.lang.String strings)` Set the property via a DELIM separated string.
`void` | `set(java.util.Vector strings)` Set the property via a group of string.
`int[]` | `toIntArray()` Parse each string to an integer, and return them.
`java.lang.String` | `toString()` Merge strings to one string separated by DELIM.
`java.lang.String[]` | `toStringArray()` Return the strings as a string array.

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getEditFlag, getEditorType, getInspValue, getInspValue, getMatchingSqlType, getName, getNormalObject, getObject, getParent, getPropertyChoice, getPropType, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isChangeByOther, isNull, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByFmtt, setChangeByObject, setEditFlag, setEditorType, setObject, setTransient, setUnitValue, toUnitString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JetVector

    public JetVector()

### JetVector

    public JetVector(JetObject parent,
                     java.lang.String name)

  Constructor.

  Parameters:
    `parent` - the owner of the property.
    `name` - the property name

Method Detail

### add

    public void add(java.lang.String s)

  Add a string to the property.

### remove

    public void remove(java.lang.String s)

  Remove a string from the property.

### clear

    public void clear()

  Clear the property.

### toString

    public java.lang.String toString()

  Merge strings to one string separated by DELIM.

  Overrides:
    `toString` in class `java.lang.Object`

### set

    public void set(java.util.Vector strings)

  Set the property via a group of string.

### set

    public void set(java.lang.String strings)

  Set the property via a DELIM separated string.

  Overrides:
    `set` in class `JetProperty`
  Parameters:
    `strings` - the String val

### get

    public java.util.Vector get()

  Get the strings.

### toIntArray

    public int[] toIntArray()

  Parse each string to an integer, and return them.

### toStringArray

    public java.lang.String[] toStringArray()

  Return the strings as a string array.

### equal

    public boolean equal(JetProperty str)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD